Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jason.asSyntax
Enum Trigger.TEType

    java.lang.Object
      java.lang.Enum<Trigger.TEType>
          jason.asSyntax.Trigger.TEType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Trigger.TEType>

Enclosing class:
  Trigger

    public static enum Trigger.TEType

extends java.lang.Enum<Trigger.TEType>

Enum Constant Summary
`achieve`
`belief`
`test`

Method Summary
`static Trigger.TEType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Trigger.TEType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### belief

    public static final Trigger.TEType belief

### achieve

    public static final Trigger.TEType achieve

### test

    public static final Trigger.TEType test

Method Detail

### values

    public static Trigger.TEType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Trigger.TEType c : Trigger.TEType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Trigger.TEType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD